package com.hotent.portal.params;

import java.util.ArrayList;
import java.util.List;

import com.hotent.base.model.Tree;
import com.hotent.portal.model.AppModel;

public class AppTree implements Tree{
	protected String typeId;
	protected String typeName;
	protected String pid;
	protected List<AppModel> appList;
	protected List<AppTree> children = new ArrayList<AppTree>();
	protected String isParent;
	public String getPid() {
		return pid;
	}
	public void setPid(String pid) {
		this.pid = pid;
	}
	public String getIsParent() {
		return isParent;
	}
	public String getTypeId() {
		return typeId;
	}
	public void setTypeId(String typeId) {
		this.typeId = typeId;
	}
	public String getTypeName() {
		return typeName;
	}
	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}
	public List<AppModel> getAppList() {
		return appList;
	}
	public void setAppList(List<AppModel> appList) {
		this.appList = appList;
	}
	
	
	@Override
	public String getId() {
		return this.getTypeId();
	}
	@Override
	public String getParentId() {
		return this.pid;
	}
	@Override
	public String getText() {
		return this.typeName;
	}
	@Override
	public List getChildren() {
		return this.children;
	}
	@Override
	public void setChildren(List children) {
		this.children = children;
		
	}
	@Override
	public void setIsParent(String isParent) {
		this.isParent = isParent;
	}

}
